/*-------------------------------------------------------------------------
BMP.H - Part of FAST Viewer project
Description: This file contains prototypes and error messages related to
BMP images. At present, only viewing of such images and reading header is
supported. These rountine(s) are defined in BMP.CPP.
-----------------------------------------------------------------------------
Accessible functions:
int show_bmp (char *name);
void read_bmp_header (FILE *dataFile, bmpHeaderType bmpHeader);
---------------------------------------------------------------------------*/


/*---------------------------------------------------------------------------
ACCESSIBLE VARIABLES / DATA TYPES
---------------------------------------------------------------------------*/
struct bmpHeaderType		// also defined in bmp.cpp
   {
   char magic1, magic2;		// identity 'BM'
   long fileSize;		// size of file in bytes
   long reserved;		// always 0
   long pixelOffset;		// offset of data
   long bmiSize;		// remaining size of header in file
   long cols, rows;		// width and height of image
   int  nPlanes;		// number of color planes
   int  bitsPerPixel;		// number of bits used to represent a pixel
   long compression, cmpSize;	// compressed image?
   long xScale, yScale;
   long colors, impColors;
   };


/*-------------------------------------------------------------------------
ERROR CODES FOR CALLING PROCEDURE
--------------------------------------------------------------------------*/
char *bmpError[6] = {
	"Successful",
	"Unsupported BMP: Number of Planes not equal to 1",
	"Unsupported BMP: Bits Per Pixel not equal to 8",
	"Unsupported BMP: Compressed image",
	"Invalid BMP",
	"Can't read this file !"};


/*-------------------------------------------------------------------------
ACCESSIBLE PROTO TYPES
--------------------------------------------------------------------------*/
int show_bmp (char *name);
void read_bmp_header (FILE *dataFile, bmpHeaderType &bmpHeader);
/*------------------------------------------------------------------------*/